﻿.service-box{
    width: 100%;
    position: relative;
    display: block;
    min-height: calc(100vh - 200px);
    padding-top: 230px;
    padding-bottom: 160px;
    overflow-y: hidden;
}

.service-all-box{
    width: 95%;
    margin: 0 auto;
    display: block;
    font-size: 0;
}

.service-info{
    width: calc(50% - 30px);
    display: inline-block;
    vertical-align: top;
    margin-right: 60px;
    position: relative;
}
.service-info:nth-child(2n){
    margin-right: 0;
}
.service-info:nth-child(n + 3){
    margin-top: 160px;
}
.service-info-img{
    width: 100%;
    height: calc((510 / 830) * (50vw - 60px));
    overflow: hidden;
    display: block;
    position: relative;
    box-sizing: border-box;
}
.service-info-text-box{
    width: 60%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
    position: absolute;
    bottom: -60px;
    left: 0;
    min-width: 500px;
    box-sizing: border-box;
    padding: 50px 30px;
    background-color: rgba( 0, 0, 0, 0.3);
    background: rgba(0,0,0,.7);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
}
.service-info-text{
    font-size: 18px;
    letter-spacing: 0.06em;
    color: #fff;
    text-align: center;
}



@media only screen and (max-width: 1280px){
    .service-info-text-box{
        width: 60%;
        min-width: 400px;
        padding: 40px 20px 50px;
    }
    .service-info-text{
        font-size: 16px;
    }
}
@media only screen and (max-width: 1000px){
    .service-info-box{
        width: 95%;
        margin: 0 auto;
    }
    .service-info{
        margin: 0;
        width: calc(50% - 20px);
        margin-right: 40px;
    }
    .service-info:nth-child(2n){
        margin-right: 0;
    }
    .service-info-img {
        padding-left: 0;
        height: calc((510 / 830) * (50vw - 20px));
    }
    .service-info-text-box{
        width: 100%;
        position: static;
        min-width: initial;
        padding: 20px 0;
        background-color: transparent;
    }
    .service-info-text{
        color: #000;
        text-align: left;
    }
    .service-info:nth-child(n + 3) {
        margin-top: 40px;
    }
    .service-box{
        padding-top: 117px;
        padding-bottom: 40px;
    }
}
@media only screen and (max-width: 750px){
    .service-info:nth-child(n){
        margin-right: 0;
        margin-bottom: 30px;
        width: 100%;
        margin-top: 0;
    }
    .service-info-img {
        height: calc((510 / 830) * 95vw);
    }
}
@media only screen and (max-width: 550px){
    .service-box{
        padding-top: 100px;
        padding-bottom: 20px;
    }
    .service-info-text-box{
        padding: 10px 0;
    }
    .service-info-text{
        font-size: 14px;
    }
}






/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .service-info{
        opacity: 0;
    }
    .service-info.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .service-info.anima .service-info-text-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }
}